Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class ReportUnitBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ResourceBean
          com.jaspersoft.jasperserver.util.ReportUnitBean

    public class ReportUnitBean

extends ResourceBean

Version:
  $Id: ReportUnitBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`ReportUnitBean()`

Method Summary
`DataSourceBean` | `getDataSource()`
`InputControlBean[]` | `getInputControls()`
`FileResourceBean` | `getMainReport()`
`QueryBean` | `getQuery()`
`FileResourceBean[]` | `getResources()`
`void` | `setDataSource(DataSourceBean dataSource)`
`void` | `setInputControls(InputControlBean[] inputControls)`
`void` | `setMainReport(FileResourceBean mainReport)`
`void` | `setQuery(QueryBean query)`
`void` | `setResources(FileResourceBean[] resources)`

Methods inherited from class com.jaspersoft.jasperserver.util.ResourceBean
`getCreationDate, getDescription, getIsNew, getIsUriReference, getLabel, getName, getParentFolder, getProductReleaseVersion, getResourceBeanType, getResourceType, getUriString, getVersion, setCreationDate, setDescription, setIsNew, setIsUriReference, setLabel, setName, setParentFolder, setProductReleaseVersion, setResourceBeanType, setResourceType, setUriString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportUnitBean

    public ReportUnitBean()

Method Detail

### getDataSource

    public DataSourceBean getDataSource()

### setDataSource

    public void setDataSource(DataSourceBean dataSource)

### getQuery

    public QueryBean getQuery()

### setQuery

    public void setQuery(QueryBean query)

### getInputControls

    public InputControlBean[] getInputControls()

### setInputControls

    public void setInputControls(InputControlBean[] inputControls)

### getMainReport

    public FileResourceBean getMainReport()

### setMainReport

    public void setMainReport(FileResourceBean mainReport)

### getResources

    public FileResourceBean[] getResources()

### setResources

    public void setResources(FileResourceBean[] resources)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.